// ProObjRect.cpp : _xZkqqHx_iDeDiDjDiDhGiDiKiDiBiDjDiDgFiBfLiDfGiDiHiDjD_xHqqkZx_ _xZkqqHx_iDhEiDeAiDeDiDiL_xHqqkZx_
//

#include "stdafx.h"
#include "DynamicDraw.h"
#include "ProObjRect.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFCProObjRect _xZkqqHx_iDhGiDiNiDhAiDgFiDeC_xHqqkZx_ _xZkqqHx_iDhJiBfLiDfH_xHqqkZx_

IMPLEMENT_DYNCREATE(CFCProObjRect, CFCProObjProperty)

CFCProObjRect::CFCProObjRect () : CFCProObjProperty(CFCProObjRect::IDD)
{
	//{{AFX_DATA_INIT(CFCProObjRect)
		// _xZkqqHx_iDiBiDiC_xHqqkZx_ - ClassWizard _xZkqqHx_iCmNiClBiCmMiImKjChFiCmJiDiBiDjDiDgPiCmMiPiJiKpKiJlLiPiIjHjNiCpAjCmHiJmBiClFiCnMiClHiBeC_xHqqkZx_
	//}}AFX_DATA_INIT

	// _xZkqqHx_iDiBiDgCiDfKiBfLiDfHiPiIjHjNjCiGiCmMiDhEiDiJiDePiCpAjAnNjCoIiBeC_xHqqkZx_
	m_bProhibitMsg = TRUE;
} // CFCProObjRect::CFCProObjRect.

CFCProObjRect::~CFCProObjRect ()
{
} // CFCProObjRect::~CFCProObjRect.

void CFCProObjRect::DoDataExchange(CDataExchange* pDX)
{
	CFCProObjProperty::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CFCProObjRect)
		// _xZkqqHx_iDiBiDiC_xHqqkZx_ - ClassWizard _xZkqqHx_iCmNiClBiCmMiImKjChFiCmJiDhNiDgCiDhDiDjDiDePjHhAiCmMiDhNiDeOiDiNiCpAjCmHiJmBiCnMiClNiCmNiNoNiPjMiClFiCnMiClHiBeC_xHqqkZx_
	//}}AFX_DATA_MAP
} // CFCProObjRect::DoDataExchange.


BEGIN_MESSAGE_MAP(CFCProObjRect, BASE_CLASS)
	//{{AFX_MSG_MAP(CFCProObjRect)
	ON_EN_CHANGE(IDC_RCT_EDT_CENTER_X, OnChangeRctEdtCenterX)
	ON_EN_CHANGE(IDC_RCT_EDT_CENTER_Y, OnChangeRctEdtCenterY)
	ON_EN_CHANGE(IDC_RCT_EDT_H_AXIS_X, OnChangeRctEdtHAxisX)
	ON_EN_CHANGE(IDC_RCT_EDT_V_AXIS_Y, OnChangeRctEdtVAxisY)
	ON_EN_CHANGE(IDC_RCT_EDT_V_AXIS_X, OnChangeRctEdtVAxisX)
	ON_EN_CHANGE(IDC_RCT_EDT_ANGLE, OnChangeRctEdtAngle)
	ON_COMMAND(ID_DIALOG_INIT_VALUE, OnDialogInitValue)
	ON_WM_CTLCOLOR()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// CFCProObjRect _xZkqqHx_iDiBiDgCiDfKiBfLiDfH_xHqqkZx_ _xZkqqHx_iDgOiDjDiDgIiDiJ_xHqqkZx_

